<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_close"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.cardview.widget.CardView
            android:id="@+id/card_root"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:cardCornerRadius="20dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintHorizontal_bias="0.9"
            app:layout_constraintVertical_bias="0.5">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="400dp"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/iv_dialog_close"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="15dp"
                    android:src="@mipmap/cancel"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tv_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:layout_margin="20dp"
                    android:text="数字小键盘"
                    android:textColor="#38ADFF"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TableLayout
                    android:layout_width="400dp"
                    android:layout_height="match_parent"
                    android:padding="10dp"
                    android:stretchColumns="*"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/tv_title">

                    <TableRow>

                        <Button
                            android:id="@+id/btn_1"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="1"
                            android:textSize="35sp" />

                        <Button
                            android:id="@+id/btn_2"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="2"
                            android:textSize="35sp" />

                        <Button
                            android:id="@+id/btn_3"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="3"
                            android:textSize="35sp" />
                    </TableRow>

                    <TableRow>

                        <Button
                            android:id="@+id/btn_4"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="4"
                            android:textSize="35sp" />

                        <Button
                            android:id="@+id/btn_5"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="5"
                            android:textSize="35sp" />

                        <Button
                            android:id="@+id/btn_6"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="6"
                            android:textSize="35sp" />
                    </TableRow>

                    <TableRow>

                        <Button
                            android:id="@+id/btn_7"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="7"
                            android:textSize="35sp" />

                        <Button
                            android:id="@+id/btn_8"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="8"
                            android:textSize="35sp" />

                        <Button
                            android:id="@+id/btn_9"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="9"
                            android:textSize="35sp" />
                    </TableRow>

                    <TableRow>

                        <Button
                            android:id="@+id/btn_point"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="."
                            android:textSize="35sp" />

                        <Button
                            android:id="@+id/btn_0"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="100dp"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="0"
                            android:textSize="35sp" />

                        <Button
                            android:id="@+id/btn_delete"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="100dp"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            android:padding="10dp"
                            android:text="删除"
                            android:textSize="35sp" />
                    </TableRow>

                </TableLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>